<?php
/*
Template Name: Archives
*/
?>
<?php get_header(); ?>
<div id="main">
<div id="content">
<div class="post">
<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
<p class="day-date">Archive of All Entries <?php edit_post_link(); ?></p><br />
<div class="post-content">
<h2><?php _e('by Categories'); ?></h2><br />
<ul>
<?php list_cats(0, '', 'name', 'ASC', '/', true, 0, 1);    ?>
</ul>
<br /><h2><?php _e('by Month'); ?></h2><br />
<ul><?php wp_get_archives('type=monthly'); ?></ul>
<br /><h2>Last 50 Entries</h2><br />
<ul>
<?php $posts = query_posts('showposts=50');?>
<?php if ($posts) : foreach ($posts as $post) : start_wp(); ?>
<li><em><?php the_time('d M Y'); ?></em> - <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></li>
<?php endforeach; else: ?>
<p><?php _e('Sorry, no posts match your criteria.'); ?></p>
<?php endif; ?>
</ul>
</div>
</div>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>