<div id="sidebar">
<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar() ) : else : ?>
<h2><?php _e('Search'); ?></h2>
<form id="searchform" method="get" action="<?php bloginfo('siteurl')?>/">
<input type="text" name="s" id="s" value="<?php echo wp_specialchars($s, 1); ?>" size="15" />
<button id="btnSearch" type="submit" name="submit"><?php _e('Go'); ?></button>
</form>

<h2><?php _e('Tags'); ?></h2>
<ul><li><ul>
<?php wp_list_cats('sortcolumn=name');    ?>
</ul></li></ul>

<h2><?php _e('Archives'); ?></h2>
<ul><?php wp_get_archives('type=monthly'); ?></ul>

<h2>Links</h2>
<ul><?php get_links_list('name'); ?> </ul>
<h2>Feed on RSS</h2>
<ul>
<li class="feed"><a href="<?php bloginfo('rss2_url'); ?>">Posts</a></li>
<li class="feed"><a href="<?php bloginfo('comments_rss2_url'); ?>">Comments</a></li>
</ul>

<h2>Meta</h2>
<ul>
<?php wp_register(); ?>
<li><?php wp_loginout(); ?></li>
<li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
<?php wp_meta(); ?>
<li><a href="http://validator.w3.org/check?uri=referer" title="XHTML Valid">XHTML</a></li>
<li><a href="http://jigsaw.w3.org/css-validator/check/referer" title="CSS Valid">CSS</a></li>
</ul>
<?php endif; ?>
</div>